from rascontrol import *
from functions import *

#Initialize RAS control, perfrom preliminary actions and get max encroached area
rasobj=RASModelCal(r'C:\users\lhoward1\Desktop\IanLukeProject\Bridge Scour\BridgeScour.prj','4.1')
rasobj.ShowCompWindow=False
rasobj.Get_Stations()
Amax=rasobj.Max_EncrArea()

xks=[]
def cb(xk,convergence=.01):
        global xks
        xks.append(xk)
        

#Set DE parameters
St=10
args=(Amax,St,rasobj)
strategy='rand1bin'
maxiter=50
popsize=10
tol=.01
mut=(.5,1)
rec=.7
polish=True
init='latinhypercube'
callback=cb
disp=False
from scipy import optimize
import time


bounds=[]
for i in range(9):
	if i==4:
		bounds.append((0,1))
	else:
		bounds.append((0,100))


results1=[]
for seed in range(5):
    start=time.time()
    res=optimize.differential_evolution(f,bounds,args,strategy,maxiter,popsize,tol,mut,rec,seed,callback,disp,polish,init)
    end=time.time()
    results1.append((res,end-start))
    print('BATCH1:')
    print(seed)
    break

#St=12
#args=(Amax,St,rasobj)
#results2=[]
#for seed in range(5):
#    start=time.time()
#    res=optimize.differential_evolution(f,bounds,args,strategy,maxiter,popsize,tol,mut,rec,seed,callback,disp,polish,init)
#    end=time.time()
#    results2.append((res,end-start))
#    print('BATCH2:')
#    print(seed)

#St=14
#args=(Amax,St,rasobj)
#results3=[]
#for seed in range(5):
#    start=time.time()
#    res=optimize.differential_evolution(f,bounds,args,strategy,maxiter,popsize,tol,mut,rec,seed,callback,disp,polish,init)
#    end=time.time()
#    results3.append((res,end-start))
#    print('BATCH3:')
#    print(seed)

