### Dataset codes
from .. import util
# NLCD 2011
nlcd_lulc_codes = {
	'Unclassified': 0,
	'Open Water': 11,
	'Developed, Open Space': 21,
	'Developed, Low Intensity': 22,
	'Developed, Medium Intensity': 23,
	'Developed, High Intensity': 24,
	'Barren Land': 31,
	'Deciduous Forest': 41,
	'Evergreen Forest': 42,
	'Mixed Forest': 43,
	'Shrub/Scrub': 52,
	'Grassland/Herbaceous': 71,
	'Pasture/Hay': 81,
	'Cultivated Crops': 82,
	'Woody Wetlands': 90,
	'Emergent Herbaceous Wetlands': 95
	}

# gSSUROGO drainage
gssurgo_drainage_codes = {
	'Very poorly drained': 	2,
	'Poorly drained': 4,
	'Somewhat poorly drained': 6,
	'Moderately well drained': 1,
	'Well drained': 5,
	'Somewhat excessively drained': 3,
	'Excessively drained': 7
	}


### Treshold parameters

# CTI threshold value
cti_threshold = 11.5

# Wetland area threshold value (meters^2)
wetland_area_threshold = 1000 

